@import "variables.css";
@import "widgets.css";

*{
    box-sizing: border-box;
}

html, body{
    margin: 0;
    padding: 0;
    font-family: 'Poppins', sans-serif;
}
/* .header--container *{
    border: 1px solid blue;
} */

.main-container{
    min-height: 80vh;
    /* border: 1px solid red; */
    margin: 0;
}
.header--container{
    height: 50vh;
    display: flex;
    flex-direction: row;
    gap: 3em;
    place-items: center;
    background-color: var(--primary-color);
    padding-left: 5em;
    border-radius: 20px 1000px 1000px 20px;
    overflow: hidden;
    /* border: 1px solid red; */
}
.header--container, 
.section,
.footer--container{
    width: 60vw;
    margin: 0 auto;
    margin-top: 0;
    margin-bottom: 0;
}
.header--container{
    margin-top: 30px;
}
.footer--container{
    background-color: whitesmoke;
    min-height: 10vh;
    display: flex;
    justify-content: center;
    align-items: center;
    border-top-left-radius: 25px;
    border-top-right-radius: 25px;
}
.footer-container *{
    margin: 0;
}
.header-title--container{
    flex-basis: 0;
    flex-grow: 1;
}

.header-image--container{
    width: 50%;
    height: 100%;
    /* border-radius: 30vh; */
    background-image: url("../../images/outdoor-screen.jpg");
    background-color: rgba(0, 251, 255, 0.1);
    background-position: 30vw 8vh;
    background-size: 70vw;
    background-attachment: fixed;
    background-blend-mode: multiply;
}
.header-image--container>img{
    border-radius: 1000px;
    width: 80%;
}

#main-title{
    font-weight: 400;
    font-size: 4em;
    line-height: 1em;
}
.center{
    text-align: center;
}
.error--text{
    color: rgb(253, 129, 110);
}
.strong--light-bg{
    color: var(--primary-color-dark);
}

.text--success{
    color: var(--primary-color-dark);
    font-weight: 700;
}

.card--container-flex-row{
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
}

@media screen and (max-width: 1440px) {
    #main-title{
        font-size: 2.5em;
    }
}

@media screen and (max-width: 1024px) {
    .header--container, .section{
        width: 90vw;
    }

}

@media screen and (max-width: 500px) {
    .links--container{
        flex-direction: column;
    }
    .link-item{
    }
    .link-item img{
        width: 200px;
    }
}
